# thinclient

Repo fuer Raspi Image bzw. andere Thinclients

## FAQ
Wenn der X11/Xorg Server nicht startet, mal in hosts/hostname ob der korrekt Name server angegeben ist.

## ToDo
- boot Scripte / config xinitrc fuer Raspi
- Script fuer hostname / hosts - fuer eindeutigen Rechnernamen
- kleine Ankeitung fuer ReadOnly unter Raspi
- Installation von lighttpd + fastcgi / php fuer lokale Loginseite
- Settings fuer Chrome 
- ~~VNC Server mit passendem Passwort installieren~~ -> Einrichtung muss noch getestet werden!
- alternative mit XRDP? Mal durch testen? (xrdp/x11rdp)
 - Vorteil: performanter, nicht soviel Bandbreite, kann ggf. auch VNC sich verbinden
- ansibel Scripte fuer Rollout
- Netzwerkboot fuer Raspis inkl. Anleitung
- Druckerunterstützung inklusive DokumentenBox
- ~~LDAP Authentifizierug (?) <- mach das Sinn? Müsste ggf. Serverseitig gelöst werden~~ Wird bei der Variante mit Chrome nicht benoetigt.
- CUPS mit einrichten und vorbereiten, das der die Drucker im Netzwerkfindet und anbietet?

## Links 
- chrome://chrome-urls/ 
- https://debian-handbook.info/browse/de-DE/stable/sect.automated-installation.html
- https://www.elektronik-kompendium.de/sites/raspberry-pi/2011121.htm
- https://wiki.ubuntuusers.de/laptop-mode-tools/ 
